import React, { Dispatch, SetStateAction } from 'react';
import { Plugin } from '../../application/Plugin';
declare module '../../application' {
    interface Application {
        usePageMode: typeof usePageMode;
    }
}
export declare class PluginDynamicPage extends Plugin {
    beforeLoad(): Promise<void>;
    load(): Promise<void>;
    afterLoad(): Promise<void>;
}
interface PageModeContextType {
    enable: boolean;
    setEnable: Dispatch<SetStateAction<boolean>>;
}
export declare const PageModeContext: React.Context<PageModeContextType>;
export declare const PageModeProvider: ({ children }: {
    children: any;
}) => import("react/jsx-runtime").JSX.Element;
export declare const usePageMode: () => PageModeContextType;
export {};
